#!/usr/bin/env python3

"""
A few String exercises.

This command will run the tests for this file.
Run this command in the same directory.
 python3 -m doctest exercise1.py

Or do it "doctest -v" for verbose output with more detail.
"""

import sys

# Code for this one is complete - demonstrate Doctests

def bigger(a, b):
    """
    Given two strings, a and b.
    Return whichever string is longer.
    If they are the same length,
    return 'woot'
    >>> bigger('aa', 'bbb')
    'bbb'
    >>> bigger('aa', 'z')
    'aa'
    >>> bigger('aa', 'bb')
    'woot'
    """
    if len(a) > len(b):
        return a
    elif len(b) > len(a):
        return b
    else:
        return 'woot'


def minus_plus(s):
    """
    Given string s, look for the first '-' and '+' in s.
    If they are both present and the - is before the +,
    return the chars between them, so 'xxx-abc+xxx' returns 'abc'.
    Otherwise return the empty string.
    Use string.find and slices.
    >>> minus_plus('xxx-abc+xxx')
    'abc'
    >>> minus_plus('+xyz-')
    ''
    """
    # your code
    pass


# get_float() is a perhaps trickier than it looks.
# You may assume the potential digits are in-bounds.
# Need logic to return -1.0 in the various ways
# that digit.digit may not be there.


def get_float(s):
    """
    Given a string s.
    Find the first '.' in s.
    If it has a digit before and after it,
    return that number as a float.
    Return -1.0 if no such '.' is found.
    Note: return value is float 2.4, not '2.4'
    Use string find() and a slice. Use s.isdigit()
    to test each char.
    >>> get_float('xxx2.4xx')
    2.4
    >>> get_float('ble.4h')
    -1.0
    >>> get_float('alm7.#ost')
    -1.0
    >>> get_float('xxx75xx')
    -1.0
    """
    pass


def main():
    # Optional testing technique - 
    # if We want to run the doctest of just one function - here
    # is a way. By default doctest is set up to just test all the fns
    # in the module.
    import doctest
    # put in the name of the one function to test, e.g. bigger,
    # then run this module from the command line to test just that function.
    doctest.run_docstring_examples(bigger, globals())


# This is the standard boilerplate that calls the main() function.
if __name__ == '__main__':
    main()
