#!/usr/bin/env python3

"""
A few String exercises.

This command will run the tests for this file.
Run this command in the same directory.
 python3 -m doctest string-ex.py

Or do it "doctest -v" for verbose output with more detail.
"""

import sys

# Code for this one is complete - demonstrate Doctests

def bigger(a, b):
    """
    Given two strings, a and b.
    Return whichever string is longer.
    If they are the same length,
    return 'woot'
    >>> bigger('aa', 'bbb')
    'bbb'
    >>> bigger('aa', 'z')
    'aa'
    >>> bigger('aa', 'bb')
    'woot'
    """
    if len(a) > len(b):
        return a
    elif len(b) > len(a):
        return b
    else:
        return 'woot'
    

def digits(s):
    """
    Given string s, return a string made of
    the digits and dash '-' chars from s.
    Loop to look at each char, include in
    the result if appropriate.
    >>> digits('ab1-2x3')
    '1-23'
    >>> digits('999')
    '999'
    >>> digits('xyz')
    ''
    """
    # your code
    pass
 
 
def swapo(s):
    """
    Given string, return its last 2 chars followed by its
    first 2 chars, so Hello returns 'loHe'.
    If the string is less than len 4, return the empty string.
    >>> swapo('Hello')
    'loHe'
    >>> swapo('xyz')
    ''
    """
    # your code
    pass


def minus_plus(s):
    """
    Given string s, look for the first '-' and '+' in s.
    If they are both present and the - is before the +,
    return the chars between them, so 'xxx-abc+xxx' returns 'abc'.
    Otherwise return the empty string.
    Use string.find and slices.
    >>> minus_plus('xxx-abc+xxx')
    'abc'
    >>> minus_plus('+xyz-')
    ''
    """
    # your code
    pass


def main():
    # We're not using main() here mostly.
    # optional
    # if We want to run the doctest of just one function - here
    # is a way. By default doctest is set up to just test all the fns
    # in the module.
    import doctest
    # put in the name of the one function to test, then run this
    # module from the command line.
    doctest.run_docstring_examples(bigger, globals())


# This is the standard boilerplate that calls the main() function.
if __name__ == '__main__':
    main()
